Subject: Re: [RFC next-next v2 1/5] net: marvell: prestera: Add driver for Prestera family ASIC devices

From: Andrew Lunn <[email-masked]>
Date: Mon, 11 May 2020 14:42:45 +0200

> >I understand this is not good, but currently this is simple solution to
> >handle base MAC configuration for different boards which has this PP,
> >otherwise it needs to by supported by platform drivers. Is there some
> >generic way to handle this ?
> 
> If the HW is not capable holding the mac, I think that you can have it
> in platform data. The usual way for such HW is to generate random mac.
> module parameter is definitelly a no-go.

And i already suggested it should be a device tree property.

    Andrew